Bug 69852 - kernel oops, hang
kernel oops, hang
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-25 18:03 EDT by Jamie Zawinski
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jamie Zawinski 2002-07-25 18:03:41 EDT
I sent this to linux-kernel, and Alan said I should report it here instead...

I had been (moderately) happily running kernel 2.2.16 (Red Hat 6.1)
and I recently upgraded to Red Hat 7.3 and kernel 2.4.18.  Since I
did that, my machine has been regularly locking up.

  - Sometimes it becomes completely unresponsive (unpingable.)

  - Sometimes my open shells still work -- but they can't access the
    disk at all.  If I run a program in the background, it never exits;
    if I run it in the foreground, it can't be ^C'ed.

  - Sometimes, some programs work (ls) but some hang (top.)
    In that state, "shutdown" hangs, and "reboot -f" is pretty
    much the only option.

This is happening about every two days.  It's rather irritating.

I have not built my own kernel.  I was running the stock 2.4.18-3
kernel (from the 7.3 CD) but last night I installed 2.4.18-5-i686
(from the eratta on redhat.com) and it seems to still be happening.

My /var/log/messages is full of stuff like the following "oops"
message.  In the following, it's "Process sawfish", but I've also seen
the following processes: X, xmms, kswapd, httpd, sh, bash, tcsh sshd,
and config.guess.  So it seems fairly random.

I'm not sure the machine has ever swapped when the problem occurs,
as I've got plenty of RAM for what it's doing:

   Mem:  320524K av, 314720K used,   5804K free, 0K shrd, 20084K buff
   Swap: 369380K av,      0K used, 369380K free          208416K cached

I tried malloc'ing in a loop until the machine ran out of swap, and
that did not trigger an oops.  The machine recovered after I killed
the test program, so it's not as simple as "swap doesn't work on
this machine."

I have run memtest86 3.0, and it says that my RAM is fine.

This machine is my mp3 jukebox / icecast server, so it's set of
activities is pretty constant.  Though X is running, I don't use
it as a desktop.

I have three IDE disks with ~8 ext3 file partitions on each.
Plus a SCSI CDR, CDRW, and DAT, all of which I use very rarely.

Any suggestions?

This oops is from 2.4.18-3:

    ksymoops 2.4.4 on i686 2.4.18-3.  Options used
         -V (default)
         -k /proc/ksyms (default)
         -l /proc/modules (default)
         -o /lib/modules/2.4.18-3/ (default)
         -m /boot/System.map-2.4.18-3 (default)

    Warning: You did not tell me where to find symbol information.  I will
    assume that the log matches the kernel and modules that are running
    right now and I'll use the default options above for symbol resolution.
    If the current kernel and/or modules do not match the log, you can get
    more accurate output by telling me the kernel version and where to find
    map, modules, ksyms etc.  ksymoops -h explains the options.

    Error (expand_objects): cannot stat(/lib/ext3.o) for ext3
    ksymoops: No such file or directory
    Error (expand_objects): cannot stat(/lib/jbd.o) for jbd
    ksymoops: No such file or directory
    Error (expand_objects): cannot stat(/lib/aic7xxx.o) for aic7xxx
    ksymoops: No such file or directory
    Error (expand_objects): cannot stat(/lib/sd_mod.o) for sd_mod
    ksymoops: No such file or directory
    Error (expand_objects): cannot stat(/lib/scsi_mod.o) for scsi_mod
    ksymoops: No such file or directory
    /usr/bin/find: /lib/modules/2.4.18-3/build: No such file or directory
    Error (pclose_local): find_objects pclose failed 0x100
    Warning (compare_maps): mismatch on symbol partition_name  , ksyms_base says
c01bd130, System.map says c015abe0.  Ignoring ksyms_base entry
    Warning (map_ksym_to_module): cannot match loaded module ext3 to a unique
module object.  Trace may not be reliable.
    Jul 24 11:18:47 gronk kernel:  <1>Unable to handle kernel paging request at
virtual address be897800
    Jul 24 11:18:47 gronk kernel: c01369a5
    Jul 24 11:18:47 gronk kernel: *pde = 00000000
    Jul 24 11:18:47 gronk kernel: Oops: 0000
    Jul 24 11:18:47 gronk kernel: CPU:    0
    Jul 24 11:18:47 gronk kernel: EIP:    0010:[<c01369a5>]    Not tainted
    Using defaults from ksymoops -t elf32-i386 -a i386
    Jul 24 11:18:47 gronk kernel: EFLAGS: 00010286
    Jul 24 11:18:47 gronk kernel: eax: 0100004c   ebx: c125af48   ecx: d0680194
  edx: be897800
    Jul 24 11:18:47 gronk kernel: esi: d0680194   edi: 00000000   ebp: c125af48
  esp: c997de90
    Jul 24 11:18:47 gronk kernel: ds: 0018   es: 0018   ss: 0018
    Jul 24 11:18:48 gronk kernel: Process sawfish (pid: 30758, stackpage=c997d000)
    Jul 24 11:18:48 gronk kernel: Stack: c01366ae 00000027 c1000030 c0126738
c012743e d1979be0 ce6f21e0 d12cf3e0 
    Jul 24 11:18:48 gronk kernel:        ce6f21e0 d1979be0 40065000 00000001
c012682a d1979be0 ce6f21e0 40065000 
    Jul 24 11:18:48 gronk kernel:        00000001 d0680194 d12cf3f8 c014c56b
c2f94780 000008dc 000008dc 00000000 
    Jul 24 11:18:48 gronk kernel: Call Trace: [<c01366ae>] page_add_rmap
[kernel] 0x2e 
    Jul 24 11:18:48 gronk kernel: [<c0126738>] do_no_page [kernel] 0x1e8 
    Jul 24 11:18:48 gronk kernel: [<c012743e>] do_mmap_pgoff [kernel] 0x4ae 
    Jul 24 11:18:48 gronk kernel: [<c012682a>] handle_mm_fault [kernel] 0xca 
    Jul 24 11:18:48 gronk kernel: [<c014c56b>] get_empty_inode [kernel] 0x7b 
    Jul 24 11:18:48 gronk kernel: [<c01143aa>] do_page_fault [kernel] 0x12a 
    Jul 24 11:18:48 gronk kernel: [<c016a14d>] sys_shmget [kernel] 0x5d 
    Jul 24 11:18:48 gronk kernel: [<c010d653>] sys_ipc [kernel] 0x1b3 
    Jul 24 11:18:48 gronk kernel: [<c0114280>] do_page_fault [kernel] 0x0 
    Jul 24 11:18:49 gronk kernel: [<c0108a14>] error_code [kernel] 0x34 
    Jul 24 11:18:50 gronk kernel: Code: 8b 02 a3 e8 ea 32 c0 89 d0 c7 02 00 00
00 00 c3 8d 74 26 00 

    >>EIP; c01369a5 <pte_chain_alloc+15/30>   <=====
    Trace; c01366ae <page_add_rmap+2e/40>
    Trace; c0126738 <do_no_page+1e8/210>
    Trace; c012743e <do_mmap_pgoff+4ae/5a0>
    Trace; c012682a <handle_mm_fault+ca/150>
    Trace; c014c56b <get_empty_inode+7b/80>
    Trace; c01143aa <do_page_fault+12a/45b>
    Trace; c016a14d <sys_shmget+5d/100>
    Trace; c010d653 <sys_ipc+1b3/270>
    Trace; c0114280 <do_page_fault+0/45b>
    Trace; c0108a14 <error_code+34/3c>
    Code;  c01369a5 <pte_chain_alloc+15/30>
    00000000 <_EIP>:
    Code;  c01369a5 <pte_chain_alloc+15/30>   <=====
       0:   8b 02                     mov    (%edx),%eax   <=====
    Code;  c01369a7 <pte_chain_alloc+17/30>
       2:   a3 e8 ea 32 c0            mov    %eax,0xc032eae8
    Code;  c01369ac <pte_chain_alloc+1c/30>
       7:   89 d0                     mov    %edx,%eax
    Code;  c01369ae <pte_chain_alloc+1e/30>
       9:   c7 02 00 00 00 00         movl   $0x0,(%edx)
    Code;  c01369b4 <pte_chain_alloc+24/30>
       f:   c3                        ret    
    Code;  c01369b5 <pte_chain_alloc+25/30>
      10:   8d 74 26 00               lea    0x0(%esi,1),%esi


    3 warnings and 6 errors issued.  Results may not be reliable.


Here are the oopses that are in my logs today, from 2.4.18-5: These did
*not* result in the machine hanging, but it did pause and go catatonic
for a while just now.  It seems (so far) to have recovered...  I assume
I got lucky this time.

    ksymoops 2.4.4 on i686 2.4.18-5.  Options used
         -V (default)
         -k /proc/ksyms (default)
         -l /proc/modules (default)
         -o /lib/modules/2.4.18-5/ (default)
         -m /boot/System.map-2.4.18-5 (default)

    Warning: You did not tell me where to find symbol information.  I will
    assume that the log matches the kernel and modules that are running
    right now and I'll use the default options above for symbol resolution.
    If the current kernel and/or modules do not match the log, you can get
    more accurate output by telling me the kernel version and where to find
    map, modules, ksyms etc.  ksymoops -h explains the options.

    Error (expand_objects): cannot stat(/lib/ext3.o) for ext3
    ksymoops: No such file or directory
    Error (expand_objects): cannot stat(/lib/jbd.o) for jbd
    ksymoops: No such file or directory
    Error (expand_objects): cannot stat(/lib/aic7xxx.o) for aic7xxx
    ksymoops: No such file or directory
    Error (expand_objects): cannot stat(/lib/sd_mod.o) for sd_mod
    ksymoops: No such file or directory
    Error (expand_objects): cannot stat(/lib/scsi_mod.o) for scsi_mod
    ksymoops: No such file or directory
    /usr/bin/find: /lib/modules/2.4.18-5/build: No such file or directory
    Error (pclose_local): find_objects pclose failed 0x100
    Warning (map_ksym_to_module): cannot match loaded module ext3 to a unique
module object.  Trace may not be reliable.
    Jul 25 04:43:47 gronk kernel: 3c59x: Donald Becker and others.
www.scyld.com/network/vortex.html
    Jul 25 04:47:43 gronk kernel: 3c59x: Donald Becker and others.
www.scyld.com/network/vortex.html
    Jul 25 14:42:10 gronk kernel: kernel BUG at page_alloc.c:131!
    Jul 25 14:42:10 gronk kernel: invalid operand: 0000
    Jul 25 14:42:10 gronk kernel: CPU:    0
    Jul 25 14:42:10 gronk kernel: EIP:    0010:[<c01311ca>]    Not tainted
    Using defaults from ksymoops -t elf32-i386 -a i386
    Jul 25 14:42:10 gronk kernel: EFLAGS: 00013296
    Jul 25 14:42:10 gronk kernel: eax: 00000020   ebx: c10fd6b8   ecx: 00000001
  edx: 000025b7
    Jul 25 14:42:10 gronk kernel: esi: 00000000   edi: c1000030   ebp: 00000000
  esp: d166feac
    Jul 25 14:42:10 gronk kernel: ds: 0018   es: 0018   ss: 0018
    Jul 25 14:42:10 gronk kernel: Process X (pid: 994, stackpage=d166f000)
    Jul 25 14:42:10 gronk kernel: Stack: c02251dc 00000083 c115e810 c115e848
c10fd6b8 d3991f00 c013611e cb4d64f0 
    Jul 25 14:42:10 gronk kernel:        00000000 00053000 d3991f00 0003f000
04867067 c0124ebf c10fd6b8 00000040 
    Jul 25 14:42:10 gronk kernel:        00000000 42bd4000 d1365428 42b81000
00000000 42bd4000 d1365428 d02a1580 
    Jul 25 14:42:10 gronk kernel: Call Trace: [<c013611e>] page_remove_rmap
[kernel] 0x9e 
    Jul 25 14:42:10 gronk kernel: [<c0124ebf>] do_zap_page_range [kernel] 0x18f 
    Jul 25 14:42:10 gronk kernel: [<c014ab4d>] destroy_inode [kernel] 0x2d 
    Jul 25 14:42:10 gronk kernel: [<c0125410>] zap_page_range [kernel] 0x50 
    Jul 25 14:42:10 gronk kernel: [<c012770f>] do_munmap [kernel] 0x1ef 
    Jul 25 14:42:10 gronk kernel: [<c01277e4>] sys_munmap [kernel] 0x34 
    Jul 25 14:42:10 gronk kernel: [<c0108913>] system_call [kernel] 0x33 
    Jul 25 14:42:10 gronk kernel: Code: 0f 0b 5f 5d c6 43 24 05 8b 43 18 89 f1
89 dd 83 e0 eb 89 43 

    >>EIP; c01311ca <__free_pages_ok+11a/310>   <=====
    Trace; c013611e <page_remove_rmap+9e/c0>
    Trace; c0124ebf <do_zap_page_range+18f/250>
    Trace; c014ab4d <destroy_inode+2d/40>
    Trace; c0125410 <zap_page_range+50/80>
    Trace; c012770f <do_munmap+1ef/290>
    Trace; c01277e4 <sys_munmap+34/50>
    Trace; c0108913 <system_call+33/38>
    Code;  c01311ca <__free_pages_ok+11a/310>
    00000000 <_EIP>:
    Code;  c01311ca <__free_pages_ok+11a/310>   <=====
       0:   0f 0b                     ud2a      <=====
    Code;  c01311cc <__free_pages_ok+11c/310>
       2:   5f                        pop    %edi
    Code;  c01311cd <__free_pages_ok+11d/310>
       3:   5d                        pop    %ebp
    Code;  c01311ce <__free_pages_ok+11e/310>
       4:   c6 43 24 05               movb   $0x5,0x24(%ebx)
    Code;  c01311d2 <__free_pages_ok+122/310>
       8:   8b 43 18                  mov    0x18(%ebx),%eax
    Code;  c01311d5 <__free_pages_ok+125/310>
       b:   89 f1                     mov    %esi,%ecx
    Code;  c01311d7 <__free_pages_ok+127/310>
       d:   89 dd                     mov    %ebx,%ebp
    Code;  c01311d9 <__free_pages_ok+129/310>
       f:   83 e0 eb                  and    $0xffffffeb,%eax
    Code;  c01311dc <__free_pages_ok+12c/310>
      12:   89 43 00                  mov    %eax,0x0(%ebx)

    Jul 25 14:42:11 gronk kernel: kernel BUG at page_alloc.c:131!
    Jul 25 14:42:11 gronk kernel: invalid operand: 0000
    Jul 25 14:42:11 gronk kernel: CPU:    0
    Jul 25 14:42:11 gronk kernel: EIP:    0010:[<c01311ca>]    Not tainted
    Jul 25 14:42:11 gronk kernel: EFLAGS: 00010286
    Jul 25 14:42:11 gronk kernel: eax: 00000020   ebx: c13bb670   ecx: 00000001
  edx: 00002a55
    Jul 25 14:42:11 gronk kernel: esi: 00000000   edi: c1000030   ebp: 00000000
  esp: cdc4be84
    Jul 25 14:42:11 gronk kernel: ds: 0018   es: 0018   ss: 0018
    Jul 25 14:42:11 gronk kernel: Process xmms (pid: 1388, stackpage=cdc4b000)
    Jul 25 14:42:12 gronk kernel: Stack: c02251dc 00000083 c11226e0 c1122718
c13bb670 cd047efc c013611e cb4d6458 
    Jul 25 14:42:12 gronk kernel:        00000000 00100000 cd047efc 000bf000
110f8067 c0124ebf c13bb670 000000c0 
    Jul 25 14:42:12 gronk kernel:        00000000 41000000 cdc4940c 40f00000
00000000 41000000 cdc4940c cdbcda40 
    Jul 25 14:42:12 gronk kernel: Call Trace: [<c013611e>] page_remove_rmap
[kernel] 0x9e 
    Jul 25 14:42:12 gronk kernel: [<c0124ebf>] do_zap_page_range [kernel] 0x18f 
    Jul 25 14:42:12 gronk kernel: [<c0149b36>] dput [kernel] 0x126 
    Jul 25 14:42:12 gronk kernel: [<c0125410>] zap_page_range [kernel] 0x50 
    Jul 25 14:42:12 gronk kernel: [<c0127b8a>] exit_mmap [kernel] 0xca 
    Jul 25 14:42:12 gronk kernel: [<c01160e6>] mmput [kernel] 0x26 
    Jul 25 14:42:12 gronk kernel: [<c011a423>] do_exit [kernel] 0xb3 
    Jul 25 14:42:12 gronk kernel: [<c011a986>] sys_wait4 [kernel] 0x396 
    Jul 25 14:42:12 gronk kernel: [<c0108913>] system_call [kernel] 0x33 
    Jul 25 14:42:14 gronk kernel: Code: 0f 0b 5f 5d c6 43 24 05 8b 43 18 89 f1
89 dd 83 e0 eb 89 43 

    >>EIP; c01311ca <__free_pages_ok+11a/310>   <=====
    Trace; c013611e <page_remove_rmap+9e/c0>
    Trace; c0124ebf <do_zap_page_range+18f/250>
    Trace; c0149b36 <dput+126/150>
    Trace; c0125410 <zap_page_range+50/80>
    Trace; c0127b8a <exit_mmap+ca/140>
    Trace; c01160e6 <mmput+26/50>
    Trace; c011a423 <do_exit+b3/240>
    Trace; c011a986 <sys_wait4+396/3a0>
    Trace; c0108913 <system_call+33/38>
    Code;  c01311ca <__free_pages_ok+11a/310>
    00000000 <_EIP>:
    Code;  c01311ca <__free_pages_ok+11a/310>   <=====
       0:   0f 0b                     ud2a      <=====
    Code;  c01311cc <__free_pages_ok+11c/310>
       2:   5f                        pop    %edi
    Code;  c01311cd <__free_pages_ok+11d/310>
       3:   5d                        pop    %ebp
    Code;  c01311ce <__free_pages_ok+11e/310>
       4:   c6 43 24 05               movb   $0x5,0x24(%ebx)
    Code;  c01311d2 <__free_pages_ok+122/310>
       8:   8b 43 18                  mov    0x18(%ebx),%eax
    Code;  c01311d5 <__free_pages_ok+125/310>
       b:   89 f1                     mov    %esi,%ecx
    Code;  c01311d7 <__free_pages_ok+127/310>
       d:   89 dd                     mov    %ebx,%ebp
    Code;  c01311d9 <__free_pages_ok+129/310>
       f:   83 e0 eb                  and    $0xffffffeb,%eax
    Code;  c01311dc <__free_pages_ok+12c/310>
      12:   89 43 00                  mov    %eax,0x0(%ebx)

    Jul 25 14:44:35 gronk kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 000000dc
    Jul 25 14:44:35 gronk kernel: c0135fd0
    Jul 25 14:44:35 gronk kernel: *pde = 00000000
    Jul 25 14:44:35 gronk kernel: Oops: 0000
    Jul 25 14:44:35 gronk kernel: CPU:    0
    Jul 25 14:44:35 gronk kernel: EIP:    0010:[<c0135fd0>]    Not tainted
    Jul 25 14:44:35 gronk kernel: EFLAGS: 00010206
    Jul 25 14:44:35 gronk kernel: eax: 00000001   ebx: 00000005   ecx: 000000d8
  edx: 00000000
    Jul 25 14:44:35 gronk kernel: esi: 00000000   edi: 00000010   ebp: c02c7304
  esp: d3fd3fa4
    Jul 25 14:44:35 gronk kernel: ds: 0018   es: 0018   ss: 0018
    Jul 25 14:44:35 gronk kernel: Process kswapd (pid: 5, stackpage=d3fd3000)
    Jul 25 14:44:35 gronk kernel: Stack: c1421d18 c1421d34 c0130137 c02c732c
00000000 00000056 00000061 00000100 
    Jul 25 14:44:35 gronk kernel:        c02c7304 00000056 00000000 c0130ab0
c02c7304 00000006 00000000 00010f00 
    Jul 25 14:44:35 gronk kernel:        d3ff7fb8 c0105000 0008e000 c0107136
00000000 c0130830 c02dffdc 
    Jul 25 14:44:35 gronk kernel: Call Trace: [<c0130137>] refill_inactive_zone
[kernel] 0x287 
    Jul 25 14:44:35 gronk kernel: [<c0130ab0>] kswapd [kernel] 0x280 
    Jul 25 14:44:35 gronk kernel: [<c0105000>] stext [kernel] 0x0 
    Jul 25 14:44:35 gronk kernel: [<c0107136>] kernel_thread [kernel] 0x26 
    Jul 25 14:44:35 gronk kernel: [<c0130830>] kswapd [kernel] 0x0 
    Jul 25 14:44:35 gronk kernel: Code: 8b 41 04 0f b3 18 19 d2 8b 09 85 d2 8d
46 01 0f 45 f0 85 c9 

    >>EIP; c0135fd0 <page_referenced+30/50>   <=====
    Trace; c0130137 <refill_inactive_zone+287/350>
    Trace; c0130ab0 <kswapd+280/2d0>
    Trace; c0105000 <_stext+0/0>
    Trace; c0107136 <kernel_thread+26/30>
    Trace; c0130830 <kswapd+0/2d0>
    Code;  c0135fd0 <page_referenced+30/50>
    00000000 <_EIP>:
    Code;  c0135fd0 <page_referenced+30/50>   <=====
       0:   8b 41 04                  mov    0x4(%ecx),%eax   <=====
    Code;  c0135fd3 <page_referenced+33/50>
       3:   0f b3 18                  btr    %ebx,(%eax)
    Code;  c0135fd6 <page_referenced+36/50>
       6:   19 d2                     sbb    %edx,%edx
    Code;  c0135fd8 <page_referenced+38/50>
       8:   8b 09                     mov    (%ecx),%ecx
    Code;  c0135fda <page_referenced+3a/50>
       a:   85 d2                     test   %edx,%edx
    Code;  c0135fdc <page_referenced+3c/50>
       c:   8d 46 01                  lea    0x1(%esi),%eax
    Code;  c0135fdf <page_referenced+3f/50>
       f:   0f 45 f0                  cmovne %eax,%esi
    Code;  c0135fe2 <page_referenced+42/50>
      12:   85 c9                     test   %ecx,%ecx


    2 warningsand 6 errors issued.  Results may not be reliable.




uname -a:
Linux gronk 2.4.18-3 #1 Thu Apr 18 07:37:53 EDT 2002 i686 unknown

/proc/cpuinfo:

    processor	: 0
    vendor_id	: GenuineIntel
    cpu family	: 6
    model		: 8
    model name	: Pentium III (Coppermine)
    stepping	: 1
    cpu MHz		: 669.111
    cache size	: 256 KB
    fdiv_bug	: no
    hlt_bug		: no
    f00f_bug	: no
    coma_bug	: no
    fpu		: yes
    fpu_exception	: yes
    cpuid level	: 2
    wp		: yes
    flags		: fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr sse
    bogomips	: 1333.65


dmesg:

    Linux version 2.4.18-5 (bhcompile@daffy.perf.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.3 2.96-110)) #1 Mon Jun 10 15:31:48 EDT 2002
    BIOS-provided physical RAM map:
     BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
     BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
     BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
     BIOS-e820: 0000000000100000 - 0000000013ffc000 (usable)
     BIOS-e820: 0000000013ffc000 - 0000000013fff000 (ACPI data)
     BIOS-e820: 0000000013fff000 - 0000000014000000 (ACPI NVS)
     BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
    0MB HIGHMEM available.
    319MB LOWMEM available.
    On node 0 totalpages: 81916
    zone(0): 4096 pages.
    zone(1): 77820 pages.
    zone(2): 0 pages.
    Kernel command line: auto BOOT_IMAGE=linux ro root=305
BOOT_FILE=/boot/vmlinuz-2.4.18-5
    Initializing CPU#0
    Detected 669.111 MHz processor.
    Console: colour VGA+ 80x25
    Calibrating delay loop... 1333.65 BogoMIPS
    Memory: 319972k/327664k available (1118k kernel code, 7304k reserved, 787k
data, 292k init, 0k highmem)
    Dentry cache hash table entries: 65536 (order: 7, 524288 bytes)
    Inode cache hash table entries: 32768 (order: 6, 262144 bytes)
    Mount cache hash table entries: 8192 (order: 4, 65536 bytes)
    Buffer cache hash table entries: 16384 (order: 4, 65536 bytes)
    Page-cache hash table entries: 131072 (order: 7, 524288 bytes)
    CPU: Before vendor init, caps: 0383f9ff 00000000 00000000, vendor = 0
    CPU: L1 I cache: 16K, L1 D cache: 16K
    CPU: L2 cache: 256K
    CPU: After vendor init, caps: 0383f9ff 00000000 00000000 00000000
    Intel machine check architecture supported.
    Intel machine check reporting enabled on CPU#0.
    CPU:     After generic, caps: 0383f9ff 00000000 00000000 00000000
    CPU:             Common caps: 0383f9ff 00000000 00000000 00000000
    CPU: Intel Pentium III (Coppermine) stepping 01
    Enabling fast FPU save and restore... done.
    Enabling unmasked SIMD FPU exception support... done.
    Checking 'hlt' instruction... OK.
    POSIX conformance testing by UNIFIX
    mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
    mtrr: detected mtrr type: Intel
    PCI: PCI BIOS revision 2.10 entry at 0xf0890, last bus=1
    PCI: Using configuration type 1
    PCI: Probing PCI hardware
    Unknown bridge resource 0: assuming transparent
    PCI: Using IRQ router VIA [1106/0596] at 00:04.0
    Activating ISA DMA hang workarounds.
    isapnp: Scanning for PnP cards...
    isapnp: SB audio device quirk - increasing port range
    isapnp: AWE32 quirk - adding two ports
    isapnp: Card 'Creative SB AWE64  PnP'
    isapnp: 1 Plug & Play card detected total
    Linux NET4.0 for Linux 2.4
    Based upon Swansea University Computer Society NET3.039
    Initializing RT netlink socket
    apm: BIOS version 1.2 Flags 0x0b (Driver version 1.16)
    Starting kswapd
    VFS: Diskquotas version dquot_6.5.0 initialized
    pty: 2048 Unix98 ptys configured
    Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
    ttyS00 at 0x03f8 (irq = 4) is a 16550A
    ttyS01 at 0x02f8 (irq = 3) is a 16550A
    Real Time Clock Driver v1.10e
    block: 608 slots per queue, batch=152
    Uniform Multi-Platform E-IDE driver Revision: 6.31
    ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
    VP_IDE: IDE controller on PCI bus 00 dev 21
    VP_IDE: chipset revision 16
    VP_IDE: not 100% native mode: will probe irqs later
    ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
    VP_IDE: VIA vt82c596b (rev 23) IDE UDMA66 controller on pci00:04.1
        ide0: BM-DMA at 0xd800-0xd807, BIOS settings: hda:DMA, hdb:DMA
        ide1: BM-DMA at 0xd808-0xd80f, BIOS settings: hdc:DMA, hdd:DMA
    hda: Maxtor 54098H8, ATA DISK drive
    hdb: Maxtor 93652U8, ATA DISK drive
    hdc: IBM-DPTA-353750, ATA DISK drive
    hdd: SONY CD-ROM CDU5221, ATAPI CD/DVD-ROM drive
    ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
    ide1 at 0x170-0x177,0x376 on irq 15
    hda: 80041248 sectors (40981 MB) w/2048KiB Cache, CHS=4982/255/63, UDMA(66)
    hdb: 71346240 sectors (36529 MB) w/2048KiB Cache, CHS=4441/255/63, UDMA(66)
    hdc: 73261440 sectors (37510 MB) w/1961KiB Cache, CHS=72680/16/63, UDMA(66)
    ide-floppy driver 0.99.newide
    Partition check:
     hda: hda1 hda2 < hda5 hda6 hda7 hda8 hda9 hda10 hda11 hda12 hda13 hda14 hda15 >
     hdb: hdb1 hdb2 < hdb5 hdb6 hdb7 >
     hdc: [PTBL] [4560/255/63] hdc1 hdc2 < hdc5 hdc6 hdc7 >
    Floppy drive(s): fd0 is 1.44M
    FDC 0 is a post-1991 82077
    RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
    ide-floppy driver 0.99.newide
    md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
    md: Autodetecting RAID arrays.
    md: autorun ...
    md: ... autorun DONE.
    NET4: Linux TCP/IP 1.0 for NET4.0
    IP Protocols: ICMP, UDP, TCP, IGMP
    IP: routing cache hash table of 2048 buckets, 16Kbytes
    TCP: Hash tables configured (established 32768 bind 32768)
    Linux IP multicast router 0.06 plus PIM-SM
    NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
    RAMDISK: Compressed image found at block 0
    Freeing initrd memory: 240k freed
    VFS: Mounted root (ext2 filesystem).
    SCSI subsystem driver Revision: 1.00
    kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errno = 2
    PCI: Found IRQ 10 for device 00:0b.0
    scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.6
            <Adaptec 2940 Ultra2 SCSI adapter>
            aic7890/91: Ultra2 Wide Channel A, SCSI Id=7, 32/253 SCBs

      Vendor: YAMAHA    Model: CRW4260           Rev: 1.0h
      Type:   CD-ROM                             ANSI SCSI revision: 02
      Vendor: HP        Model: C1537A            Rev: L907
      Type:   Sequential-Access                  ANSI SCSI revision: 02
    Journalled Block Device driver loaded
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    Freeing unused kernel memory: 292k freed
    Adding Swap: 120452k swap-space (priority -1)
    Adding Swap: 112416k swap-space (priority -2)
    Adding Swap: 136512k swap-space (priority -3)
    usb.c: registered new driver usbdevfs
    usb.c: registered new driver hub
    usb-uhci.c: $Revision: 1.275 $ time 15:37:13 Jun 10 2002
    usb-uhci.c: High bandwidth mode enabled
    PCI: Found IRQ 9 for device 00:04.2
    PCI: Sharing IRQ 9 with 00:0d.0
    usb-uhci.c: USB UHCI at I/O 0xd400, IRQ 9
    usb-uhci.c: Detected 2 ports
    usb.c: new USB bus registered, assigned bus number 1
    hub.c: USB hub found
    hub.c: 2 ports detected
    usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
    EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,5), internal journal
    kjournald starting.  Commit interval 5 seconds
    EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,1), internal journal
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,7), internal journal
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,8), internal journal
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,9), internal journal
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commitinterval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    kjournald starting.  Commit interval 5 seconds
    EXT3-fs: mounted filesystem with ordered data mode.
    st: Version 20020205, bufsize 32768, wrt 30720, max init. bufs 4, s/g segs 16
    Attached scsi tape st0 at scsi0, channel 0, id 3, lun 0
    ide-floppy driver 0.99.newide
    hdd: ATAPI 40X CD-ROM drive, 128kB Cache, UDMA(33)
    Uniform CD-ROM driver Revision: 3.12
    hdd: DMA disabled
    parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
    parport0: irq 7 detected
    PCI: Found IRQ 9 for device 00:0d.0
    PCI: Sharing IRQ 9 with 00:04.2
    3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
    00:0d.0: 3Com PCI 3c905 Boomerang 100baseTx at 0xb800. Vers LK1.1.17
    ip_conntrack (2559 buckets, 20472 max)
    Soundblaster audio driver Copyright (C) by Hannu Savolainen 1993-1996
    sb: Creative SB AWE64  PnP detected
    sb: ISAPnP reports 'Creative SB AWE64  PnP' at i/o 0x220, irq 5, dma 1, 5
    SB 4.16 detected OK (220)
    sb: 1 Soundblaster PnP card(s) found.
Comment 1 Jamie Zawinski 2002-09-18 02:08:43 EDT
I built kernel 2.4.19 (the kernel.org version) and less than a day after
installing it, I got a similar-looking oops.  This one did not crash the
machine, it only took out X:

ksymoops 2.4.4 on i686 2.4.19.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.4.19/ (default)
     -m /boot/System.map-2.4.19 (default)

Warning: You did not tell me where to find symbol information.  I will
assume that the log matches the kernel and modules that are running
right now and I'll use the default options above for symbol resolution.
If the current kernel and/or modules do not match the log, you can get
more accurate output by telling me the kernel version and where to find
map, modules, ksyms etc.  ksymoops -h explains the options.

Sep 17 22:58:09 gronk kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000014
Sep 17 22:58:09 gronk kernel: c01fcd45
Sep 17 22:58:09 gronk kernel: *pde = 00000000
Sep 17 22:58:09 gronk kernel: Oops: 0000
Sep 17 22:58:09 gronk kernel: CPU:    0
Sep 17 22:58:09 gronk kernel: EIP:    0010:[<c01fcd45>]    Tainted: P 
Using defaults from ksymoops -t elf32-i386 -a i386
Sep 17 22:58:09 gronk kernel: EFLAGS: 00013206
Sep 17 22:58:09 gronk kernel: eax: 00000014   ebx: c01c0ec0   ecx: 00000000  
edx: 00000014
Sep 17 22:58:09 gronk kernel: esi: cfb8bf08   edi: cfb8bf14   ebp: cb6568a0  
esp: cfb8be78
Sep 17 22:58:09 gronk kernel: ds: 0018   es: 0018   ss: 0018
Sep 17 22:58:09 gronk kernel: Process X (pid: 975, stackpage=cfb8b000)
Sep 17 22:58:09 gronk kernel: Stack: cfb8bf08 00000014 c01fd939 cfb8bf08
cb6568a0 cd9b7634 cb6568a0 00000001 
Sep 17 22:58:13 gronk kernel:        00000000 ffffffa1 00000001 0000ef00
00000000 cd9b75e0 00000001 d01b55a0 
Sep 17 22:58:29 gronk kernel:        d073a260 c0125478 cfb8bf08 0003ef4c
cfb8bf1c c34dd5c0 c01becc1 c34dd5c0 
Sep 17 22:58:41 gronk kernel: Call Trace:    [<c01fd939>] [<c0125478>]
[<c01becc1>] [<c01143da>] [<c01bedc8>]
Sep 17 22:58:42 gronk kernel:   [<c0142562>] [<c0134976>] [<c010891b>]
Sep 17 22:58:43 gronk kernel: Code: 8b 18 4b 78 26 eb 14 8d 74 26 00 8b 46 0c 8d
b6 00 00 00 00 

>>EIP; c01fcd45 <unix_detach_fds+25/60>   <=====
Trace; c01fd939 <unix_stream_recvmsg+2d9/3a0>
Trace; c0125478 <handle_mm_fault+58/c0>
Trace; c01becc1 <sock_recvmsg+31/b0>
Trace; c01143da <do_page_fault+18a/4cb>
Trace; c01bedc8 <sock_read+88/a0>
Trace; c0142562 <sys_select+472/480>
Trace; c0134976 <sys_read+96/f0>
Trace; c010891b <system_call+33/38>
Code;  c01fcd45 <unix_detach_fds+25/60>
00000000 <_EIP>:
Code;  c01fcd45 <unix_detach_fds+25/60>   <=====
   0:   8b 18                     mov    (%eax),%ebx   <=====
Code;  c01fcd47 <unix_detach_fds+27/60>
   2:   4b                        dec    %ebx
Code;  c01fcd48 <unix_detach_fds+28/60>
   3:   78 26                     js     2b <_EIP+0x2b> c01fcd70
<unix_detach_fds+50/60>
Code;  c01fcd4a <unix_detach_fds+2a/60>
   5:   eb 14                     jmp    1b <_EIP+0x1b> c01fcd60
<unix_detach_fds+40/60>
Code;  c01fcd4c <unix_detach_fds+2c/60>
   7:   8d 74 26 00               lea    0x0(%esi,1),%esi
Code;  c01fcd50 <unix_detach_fds+30/60>
   b:   8b 46 0c                  mov    0xc(%esi),%eax
Code;  c01fcd53 <unix_detach_fds+33/60>
   e:   8d b6 00 00 00 00         lea    0x0(%esi),%esi


Comment 2 Alan Cox 2002-09-18 06:12:46 EDT
What sort of stuff is it running - anything thats probably paticularly unusual ?
Comment 3 Jamie Zawinski 2002-09-18 06:20:43 EDT
This is my MP3 machine, so it doesn't do much:
it runs X and xmms and a big pile of perl scripts.
It has three big IDE disks.
It also has a couple SCSI devices that I haven't used in months (CDRW, DAT.)

BTW, someone said something about "kernel tainting" which leads me to believe I
should mention that I'm using a Matrox G400 (not nVidia) and I haven't
(intentionally) loaded any goofy modules.

Here's what lsmod says after the above "oops" but without rebooting:

Module                  Size  Used by    Tainted: P  
sb                      8960   1 (autoclean)
sb_lib                 39456   0 (autoclean) [sb]
uart401                 7744   0 (autoclean) [sb_lib]
sound                  69164   1 (autoclean) [sb_lib uart401]
soundcore               6212   5 (autoclean) [sb_lib sound]
ipchains               37960  41
3c59x                  27944   1
ide-cd                 30048   0 (autoclean)
cdrom                  31936   0 (autoclean) [ide-cd]
ext3                   63744  16 (autoclean)
jbd                    46256  16 (autoclean) [ext3]
usb-uhci               24292   0 (unused)
usbcore                70912   1 [usb-uhci]
Comment 4 Bugzilla owner 2004-09-30 11:39:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.